%define gwbdir /opt/GWB

Name:		GWB
Version:	1.4
Release:	%mkrel 1
License:	Proprietary
Group:		Sciences/Geosciences
Summary:	GuidosToolbox Workbench Image Analysis
URL:		http://forest.jrc.ec.europa.eu/download/software/guidos/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Source1:        %{name}-%{version}.tar.xz
Requires:	gdal
Requires:       xset
AutoReqProv:    no

%description
GWB (GuidosToolbox Workbench) contains a set of raster image analysis
cmd-line tools for measuring image object attributes, such as accounting, 
distance, fragmentation, pattern, recoding, etc.

%prep
%setup -T -n %{name} -c

%build
#nobuild

%install
rm -rf %buildroot
mkdir -p %buildroot


# extract data
mkdir -p %buildroot/opt
tar -xf %{SOURCE1} -C %{buildroot}/opt

#create symlinks
mkdir -p %{buildroot}%{_bindir}
ln -sf %{gwbdir}/GWB %{buildroot}%{_bindir}/GWB
ln -sf %{gwbdir}/GWB_ACC %{buildroot}%{_bindir}/GWB_ACC
ln -sf %{gwbdir}/GWB_DIST %{buildroot}%{_bindir}/GWB_DIST
ln -sf %{gwbdir}/GWB_FAD %{buildroot}%{_bindir}/GWB_FAD
ln -sf %{gwbdir}/GWB_FOS %{buildroot}%{_bindir}/GWB_FOS
ln -sf %{gwbdir}/GWB_LM %{buildroot}%{_bindir}/GWB_LM
ln -sf %{gwbdir}/GWB_MSPA %{buildroot}%{_bindir}/GWB_MSPA
ln -sf %{gwbdir}/GWB_P222 %{buildroot}%{_bindir}/GWB_P222
ln -sf %{gwbdir}/GWB_PARC %{buildroot}%{_bindir}/GWB_PARC
ln -sf %{gwbdir}/GWB_REC %{buildroot}%{_bindir}/GWB_REC
ln -sf %{gwbdir}/GWB_SPA %{buildroot}%{_bindir}/GWB_SPA


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/GWB*
/opt/%{name}


%changelog
* Sun Dec 23 2018 adrianomorselli <adrianomorselli> 1.4-1uplos2018
- imported for uplos
